<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::locally_change_current_dir Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1locally__change__current__dir.html">locally_change_current_dir</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1locally__change__current__dir-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::locally_change_current_dir Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::locally_change_current_dir:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1locally__change__current__dir.png" usemap="#dlib::locally_5Fchange_5Fcurrent_5Fdir_map" alt=""/>
  <map id="dlib::locally_5Fchange_5Fcurrent_5Fdir_map" name="dlib::locally_5Fchange_5Fcurrent_5Fdir_map">
<area href="classdlib_1_1noncopyable.html" alt="dlib::noncopyable" shape="rect" coords="0,0,194,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abc474f0c15cadcfaf4fdd33503e5aadb"><td class="memItemLeft" align="right" valign="top"><a id="abc474f0c15cadcfaf4fdd33503e5aadb"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>locally_change_current_dir</b> (const std::string &amp;new_dir)</td></tr>
<tr class="separator:abc474f0c15cadcfaf4fdd33503e5aadb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62c1e447c33c4bde7ec646a136749a6a"><td class="memItemLeft" align="right" valign="top"><a id="a62c1e447c33c4bde7ec646a136749a6a"></a>
const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>old_dir</b> () const</td></tr>
<tr class="separator:a62c1e447c33c4bde7ec646a136749a6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad92fe83b167c38cd40cb99a7f7e51990"><td class="memItemLeft" align="right" valign="top"><a id="ad92fe83b167c38cd40cb99a7f7e51990"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>revert</b> ()</td></tr>
<tr class="separator:ad92fe83b167c38cd40cb99a7f7e51990"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ad7e5ff411c78322864669120d73cc586"><td class="memItemLeft" align="right" valign="top"><a id="ad7e5ff411c78322864669120d73cc586"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>reverted</b></td></tr>
<tr class="separator:ad7e5ff411c78322864669120d73cc586"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1b58eaf648035b753b0f838283e5454"><td class="memItemLeft" align="right" valign="top"><a id="ab1b58eaf648035b753b0f838283e5454"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>_old_dir</b></td></tr>
<tr class="separator:ab1b58eaf648035b753b0f838283e5454"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1noncopyable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1noncopyable')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a></td></tr>
<tr class="memitem:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1noncopyable.html#ac52d1076f79ef032f5ced545bd4cc4f9">noncopyable</a> ()</td></tr>
<tr class="separator:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="misc__api__shared_8h_source.html">misc_api_shared.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
